> For the complete documentation index, see [llms.txt](https://docs.motorica.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.motorica.com/documentation/style-cloning/reference/data-preparation.md).

# Data Preparation

## Post-Processing

When creating a Style Clone, animation data must be production-quality before uploading to Motorica. To do so, the data needs to be cleaned up after shooting. This includes removing jitter, ground penetrations, and other undesirable artefacts.&#x20;

You will also need to remove any non-acting parts of the animations, including but not limited to:

* T-Poses & calibration poses.
* Segments where the actor is talking to the director.
* Mistakes (trips, stumbles, etc.).
* Any animations you don't want our model to learn from.

Data preparation and cleanup is crucial. Our models learn from every frame of animation you upload; by uploading only high-quality data, your Style Clone will be guaranteed to be a production-ready asset when generating new animations in Motion Stage or Motion Factory.

#### Root Motion

Style Cloning comes packaged with a [Root Motion Extraction](/learn/concepts/style-cloning.md#root-motion-extraction) tool so you don't need to keyframe your own root motion.

{% hint style="info" %}
To understand how to use the Root Motion Extraction tool, check out our [Root Motion Editing Guide](/documentation/style-cloning/how-to-guides/edit-an-animations-root-motion-data.md).
{% endhint %}

## Supported Files

Motorica's learning models currently support the following upload files:

* `.fbx`
* `.bvh`

Due to the complexity of the `.fbx` file format, strange results may occur when `.fbx` files are uploaded to our system.

{% hint style="warning" %}
For MotionBuilder users, check out our [MotionBuilder export guide](/documentation/style-cloning/how-to-guides/export-motionbuilder-mocap-data.md) for cleaning and exporting animation data.
{% endhint %}

Our learning models learn best with regularly sampled, baked animations. This avoids relying on reading complex interpolation data between keyframes. We also recommend you upload **only pure animation**, as mesh information is irrelevant to our system.

## Data Review and Final Steps

After uploading cleaned animations, reviewing the data is vital! Any artefacts included in your animations will affect the quality of your style clone.

The Style Cloning dashboard includes tools for reviewing each animation in your style clone's dataset. Before sending your fine-tune request, view all animations to ensure the highest quality Style Clone.

For more detailed instructions, check out our guide on how to [Generate a Style Clone](/documentation/style-cloning/how-to-guides/create-a-style-clone.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.motorica.com/documentation/style-cloning/reference/data-preparation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
